VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult Class Reference

The `LibraryItem.DeploymentResult` class defines the result of the `Deploy` method. More...

List of all members.

## Public Member Functions
| DeploymentResult ()
| Creates a default new instance.
bool | GetSucceeded ()
| Whether the `Deploy` method completed successfully.
void | SetSucceeded (bool succeeded)
| Whether the `Deploy` method completed successfully.
vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | GetResourceId ()
| Identifier of the deployed resource entity.
void | SetResourceId (vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity resourceId)
| Identifier of the deployed resource entity.
vmware.vcenter.ovf.LibraryItemTypes.ResultInfo | GetError ()
| Errors, warnings, and informational messages produced by the `Deploy` method.
void | SetError (vmware.vcenter.ovf.LibraryItemTypes.ResultInfo error)
| Errors, warnings, and informational messages produced by the `Deploy` method.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.DeploymentResult` class defines the result of the `Deploy` method.

See LibraryItem.Deploy .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::DeploymentResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.ovf.LibraryItemTypes.ResultInfo vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::GetError | ( |  | ) | `[inline]`

Errors, warnings, and informational messages produced by the `Deploy` method.

override int vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::GetResourceId | ( |  | ) | `[inline]`

Identifier of the deployed resource entity.

bool vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::GetSucceeded | ( |  | ) | `[inline]`

Whether the `Deploy` method completed successfully.

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::SetError | ( | vmware.vcenter.ovf.LibraryItemTypes.ResultInfo | error | ) | `[inline]`

Errors, warnings, and informational messages produced by the `Deploy` method.

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::SetResourceId | ( | vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | resourceId | ) | `[inline]`

Identifier of the deployed resource entity.

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::SetSucceeded | ( | bool | succeeded | ) | `[inline]`

Whether the `Deploy` method completed successfully.

override string vmware::vcenter::ovf::LibraryItemTypes::DeploymentResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs